# Health

Health is often used in conjunction with agents or applications in plugin.

Your Health component will be rendered in a Dashboard Modal once you click on your plugin name in the Health widget list in the upper right corner *(widget bar)*.

## What does Health look like?

```jsx
const GUI = Dashboard.GUI

class MyHealth extends Dashboard.Health {
    render() {
        return <GUI.Wrapper>
            <GUI.Paragraph text='infocaster ready'/>
        </GUI.Wrapper>
    }
}
```

> and don't forget to register your Health component in register function:

```javascript
Dashboard.register({
	...
	health: MyHealth
	...
})
```

*In this example we create a simple health that renders the status of LCC-Agent Plugin.*

## How to set plugin health status

{% content-ref url="/pages/-MCg1iuzCnDOlyKWnAaP" %}
[setHealth](/dashboard-plugin/api-and-gui/api/sethealth.md)
{% endcontent-ref %}

### Results

![Dashboard Health list](https://camo.githubusercontent.com/551a4fdb2f2a1aa022f7fb7bf3141a3c09a20966/68747470733a2f2f73332d65752d776573742d312e616d617a6f6e6177732e636f6d2f64617368626f6172642d67726170686963732f44617368626f6172642b4865616c74682b6c6973742e706e67)

![Dashboard Health modal](https://camo.githubusercontent.com/53b143b224865b3aabb82077da1cb7471416ddf8/68747470733a2f2f73332d65752d776573742d312e616d617a6f6e6177732e636f6d2f64617368626f6172642d67726170686963732f44617368626f6172642b4865616c74682b6d6f64616c2e706e67)

## How to register a Health component?

Like any other main component, from your main `index.js` file where you register your plugin, import your Health and pass it down with the register() method from Plugin-API

```jsx
import DashboardPlugin from 'Dashboard/plugin'

const Plugin = new DashboardPlugin('@plugin_bundle')

const registerPlugin = () => {
    const { Health } = require('@components/Health')
    
    Plugin.register({
        health: Health
    }
}

registerPlugin()

export {
    Plugin
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/dashboard-plugin/components/health.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
